<?php

Route::group(['middleware' => ['web', 'auth', 'is_admin']], function(){

	Route::resource('admin/shop/product', 'Onestartup\Shop\Controller\AdminProductController', ['as'=>'admin.shop']);
	Route::resource('admin/shop/category', 'Onestartup\Shop\Controller\CategoryController', ['as'=>'admin.shop']);

	Route::delete('delete/cover/category/product/{id}', 
				'Onestartup\Shop\Controller\CategoryController@deleteCover')
				->name('delete.cover.category.shop');

	Route::get('admin/products/datatable/shop', 
				'Onestartup\Shop\Controller\AdminProductController@getProducts')
				->name('datatable.products.shop');

	Route::post('admin/product/{id}/gallery', 
				'Onestartup\Shop\Controller\AdminProductController@storeGallery')
				->name('admin.product.files.store.shop');

	Route::delete('admin/product/delete/gallery/{id}', 
				'Onestartup\Shop\Controller\AdminProductController@deleteImage')
				->name('admin.product.gallery.delete.shop');

	Route::delete('delete/cover/product/{id}', 
				'Onestartup\Shop\Controller\AdminProductController@deleteCover')
				->name('delete.cover.product.shop');

	Route::get('admin/product/variable', 
				'Onestartup\Shop\Controller\AdminProductController@showVars')
				->name('admin.product.variable.shop');

	Route::post('admin/product/variable', 
				'Onestartup\Shop\Controller\AdminProductController@postVars')
				->name('admin.product.variable.store.shop');

});

Route::group(['middleware' => ['web']], function(){
	Route::get('producto/{slug}', 'Onestartup\Shop\Controller\ProductController@show')->name('show.product');
	Route::get('productos', 'Onestartup\Shop\Controller\ProductController@index')->name('main.product');
});
